Package org.apache.wiki.providers

# Class BasicAttachmentProvider.AttachmentFilter

java.lang.Object
org.apache.wiki.providers.BasicAttachmentProvider.AttachmentFilter

All Implemented Interfaces:
  `FilenameFilter`

Enclosing class:
  BasicAttachmentProvider

public static class BasicAttachmentProvider.AttachmentFilter extends Object implements FilenameFilter
Returns only those directories that contain attachments.

## Constructor Summary

Constructors
Constructor
Description
`AttachmentFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File dir, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttachmentFilter

public AttachmentFilter()

## Method Details

### accept

public boolean accept(File dir, String name)

Specified by:
  `accept` in interface `FilenameFilter`